Package org.opensaml.soap.wssecurity.impl

# Class CreatedMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectMarshaller
org.opensaml.soap.wssecurity.impl.AttributedDateTimeMarshaller
org.opensaml.soap.wssecurity.impl.CreatedMarshaller

All Implemented Interfaces:
  `Marshaller`

public class CreatedMarshaller extends AttributedDateTimeMarshaller
Marshaller for the <wsu:Created> element.

## Constructor Summary

Constructors
Constructor
Description
`CreatedMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AttributedDateTimeMarshaller

`marshallAttributeIDness, marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreatedMarshaller

public CreatedMarshaller()